Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.cache
Class CacheManager

    java.lang.Object
      org.richfaces.cache.CacheManager

    public class CacheManager

extends Object

TODO stop caches on application stop CacheManager is used in J2SE environments for looking up named caches.

Field Summary
`static String` | `CACHE_MANAGER_FACTORY_CLASS`

Constructor Summary
`CacheManager()`

Method Summary
`org.richfaces.cache.Cache` | `createCache(javax.faces.context.FacesContext facesContext, String cacheName, Map<?,?> env)`
`void` | `destroy()`
`void` | `destroyCache(String cacheName)`
`org.richfaces.cache.Cache` | `getCache(String cacheName)`
`Map<String,org.richfaces.cache.Cache>` | `getCaches()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CACHE_MANAGER_FACTORY_CLASS

    public static final String CACHE_MANAGER_FACTORY_CLASS

See Also:
  Constant Field Values

Constructor Detail

### CacheManager

    public CacheManager()

Method Detail

### getCache

    public org.richfaces.cache.Cache getCache(String cacheName)

### createCache

    public org.richfaces.cache.Cache createCache(javax.faces.context.FacesContext facesContext,
                                                 String cacheName,
                                                 Map<?,?> env)

### destroyCache

    public void destroyCache(String cacheName)

### getCaches

    public Map<String,org.richfaces.cache.Cache> getCaches()

### destroy

    public void destroy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.